Retrieves all the article stock location
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the article stock location |
string |
Required Max length: 64 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| city |
Address:City |
string |
Max length: 50 |
| street |
Address:Street |
string |
Max length: 50 |
| street2 |
Address:Street2 |
string |
Max length: 50 |
| street_number |
Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number |
string |
Max length: 50 |
| zip |
Address:Zip |
string |
Max length: 50 |
| db_country_id |
Address:Country |
globally unique identifier | |
| db_country_code |
Address:CountryCode entity using international code when adding/updating article_stock_location |
string | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| linked_db_table_id |
Foreign key to the table that is linked to this stock (like car or company) using Guid |
globally unique identifier | |
| linked_db_table_name |
Foreign key to the table that is linked to this stock (Allowed is car or company) using table name |
string | |
| linked_car_id |
Foreign key to the object id that is linked to this stock (car.id) using Guid |
globally unique identifier | |
| linked_car_reference_back_office |
Embedded entity "car" (when the linked object is a car) using ERP PK when adding/updating article_stock_locatioon |
string | |
| linked_car |
Embedded entity "car" using node when adding/updating article_stock_location |
car | |
| linked_company_id |
Foreign key to the object id that is linked to this stock (company.id) using Guid |
globally unique identifier | |
| linked_company_code |
Embedded entity "company" (when the linked object is a company) using ERP PK when adding/updating article_stock_locatioon |
string | |
| linked_company |
Embedded entity "company" using node when adding/updating article_stock_location |
company |
Response Formats
application/json, text/json
{
"id": "518b2df7-7c51-4354-88cf-e491d3066274",
"name": "sample string 2",
"sequence": 3,
"city": "sample string 4",
"street": "sample string 5",
"street2": "sample string 6",
"street_number": "sample string 7",
"zip": "sample string 8",
"db_country_id": "0e5c1b4b-13c3-4255-9a8a-20eb6852620a",
"db_country_code": "sample string 10",
"reference_back_office": "sample string 11",
"modified_dateutc": "2026-05-02T06:22:04.5759684+00:00",
"linked_db_table_id": "c16a5cd1-69ae-438f-b0a8-c7892a4cf326",
"linked_db_table_name": "sample string 14",
"linked_car_id": "ca226a2d-3d9c-4e3f-b8ba-185d5eda48bd",
"linked_car_reference_back_office": "sample string 16",
"linked_company_id": "da315dd3-6543-4ade-8313-ade6c46be93b",
"linked_company_code": "sample string 18"
}